package sicura.entities;

import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.sql.Blob;
import java.util.Date;

/*

CREATE TABLE [dbo].[ServiceUI](
	[IDServiceUI] [int] IDENTITY(1,1) NOT NULL,
	[TipoRichiesta] [varchar](255) NOT NULL,
	[Parametri1] [varchar](max) NULL,
	[FileIn] [varbinary](max) NULL,
	[FileOut] [varbinary](max) NULL,
	[FilenameOut] [varchar](255) NULL,
	[DataRichiesta] [datetime] NOT NULL,
	[DataCancellazioneFiles] [datetime] NULL,
	[UserIdRichiesta] [varchar](10) NULL,
	[DataInizioEsecuzione] [datetime] NULL,
	[DataFineEsecuzione] [datetime] NULL,
	[EsitoEsecuzione] [varchar](max) NULL,
	[LogEsecuzione] [varchar](max) NULL,
 CONSTRAINT [PK_RichiestaUI] PRIMARY KEY CLUSTERED 
(
	[IDServiceUI] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

*/

@Entity
@Table(name = "ServiceUI", schema = "dbo")
public class ServiceUI implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6247587014587647295L;
	
	private Integer idServiceUI;
	private String tipoRichiesta;
	private String parametri1;
	private Blob fileIn;
	private Blob fileOut;
	private String filenameOut;
	private Date dataRichiesta;
	private  Date dataCancellazioneFiles;
	
	private String userIDRichiesta;
	private  Date dataInizioEsecuzione;
	private  Date dataFineEsecuzione;
	
	private String esitoEsecuzione;
	private String LogEsecuzione;
	private String StatoRichiesta;
	
	@Id
	@Column(name = "IDServiceUI")
	public Integer getIdServiceUI() {
		return idServiceUI;
	}
	public void setIdServiceUI(Integer idServiceUI) {
		this.idServiceUI = idServiceUI;
	}
	
	@Column(name = "TipoRichiesta")
	public String getTipoRichiesta() {
		return tipoRichiesta;
	}
	public void setTipoRichiesta(String tipoRichiesta) {
		this.tipoRichiesta = tipoRichiesta;
	}
	
	@Column(name = "Parametri1")
	public String getParametri1() {
		return parametri1;
	}
	public void setParametri1(String parametri1) {
		this.parametri1 = parametri1;
	}
	
	@Column(name = "FileIn")
	public Blob getFileIn() {
		return fileIn;
	}
	public void setFileIn(Blob fileIn) {
		this.fileIn = fileIn;
	}
	
	@Column(name = "FileOut")
	public Blob getFileOut() {
		return fileOut;
	}
	public void setFileOut(Blob fileOut) {
		this.fileOut = fileOut;
	}
	
	@Column(name = "FilenameOut")
	public String getFilenameOut() {
		return filenameOut;
	}
	public void setFilenameOut(String filenameOut) {
		this.filenameOut = filenameOut;
	}
	
	@Column(name = "DataRichiesta")
	public Date getDataRichiesta() {
		return dataRichiesta;
	}
	public void setDataRichiesta(Date dataRichiesta) {
		this.dataRichiesta = dataRichiesta;
	}
	
	@Column(name = "DataCancellazioneFiles")
	public Date getDataCancellazioneFiles() {
		return dataCancellazioneFiles;
	}
	public void setDataCancellazioneFiles(Date dataCancellazioneFiles) {
		this.dataCancellazioneFiles = dataCancellazioneFiles;
	}
	
	@Column(name = "DataInizioEsecuzione")
	public Date getDataInizioEsecuzione() {
		return dataInizioEsecuzione;
	}
	public void setDataInizioEsecuzione(Date dataInizioEsecuzione) {
		this.dataInizioEsecuzione = dataInizioEsecuzione;
	}
	
	@Column(name = "DataFineEsecuzione")
	public Date getDataFineEsecuzione() {
		return dataFineEsecuzione;
	}
	public void setDataFineEsecuzione(Date dataFineEsecuzione) {
		this.dataFineEsecuzione = dataFineEsecuzione;
	}
	
	@Column(name = "EsitoEsecuzione")
	public String getEsitoEsecuzione() {
		return esitoEsecuzione;
	}
	public void setEsitoEsecuzione(String esitoEsecuzione) {
		this.esitoEsecuzione = esitoEsecuzione;
	}
	
	@Column(name = "LogEsecuzione")
	public String getLogEsecuzione() {
		return LogEsecuzione;
	}
	public void setLogEsecuzione(String logEsecuzione) {
		LogEsecuzione = logEsecuzione;
	}
	
	@Column(name = "UserIdRichiesta")
	public String getUserIDRichiesta() {
		return userIDRichiesta;
	}
	public void setUserIDRichiesta(String userIDRichiesta) {
		this.userIDRichiesta = userIDRichiesta;
	}
	
	@Column(name = "StatoRichiesta")
	public String getStatoRichiesta() {
		return StatoRichiesta;
	}
	public void setStatoRichiesta(String statoRichiesta) {
		StatoRichiesta = statoRichiesta;
	}
	
}
